io.etcd.jetcd.options

## Class CompactOption.Builder

- java.lang.Object
- - io.etcd.jetcd.options.CompactOption.Builder

Enclosing class:
  CompactOption

    public static class CompactOption.Builder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`CompactOption` `build()`
`CompactOption.Builder` `withCompactPhysical(boolean physical)` make compact RPC call wait until the compaction is physically applied to the local database such that compacted entries are totally removed from the backend database.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withCompactPhysical

    public CompactOption.Builder withCompactPhysical(boolean physical)

make compact RPC call wait until the compaction is physically applied to the local database such that compacted entries are totally removed from the backend database.

Parameters:
  `physical` - whether the compact should wait until physically applied
Returns:
  builder

#### build

    public CompactOption build()